Bug 1791279 - bonding configuration no longer works as documented
Summary: bonding configuration no longer works as documented
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RHCOS
Version: 4.4
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.4.0
Assignee: Micah Abbott
QA Contact: Michael Nguyen
URL:
Whiteboard:
Depends On:
Blocks: 1789601 1792022
TreeView+ depends on / blocked
 
Reported: 2020-01-15 12:29 UTC by Scott Dodson
Modified: 2020-05-04 11:25 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1789601
Environment:
Last Closed: 2020-05-04 11:24:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 2945 0 None closed Bug 1791280: Bump RHCOS to 44.81.202001171431.0 2020-10-29 15:32:00 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:25:16 UTC

Comment 1 Steve Milner 2020-01-20 14:48:14 UTC
This is fixed with the following installer pin PR: https://github.com/openshift/installer/pull/2945

Comment 3 Micah Abbott 2020-02-11 20:28:23 UTC
Current code on `master` of openshift/install is pointing to 44.81.202001241431.0 which includes ignition-0.35.0-0.rhaos4.4.git7afbeba.el8

https://github.com/openshift/installer/blob/master/data/data/rhcos.json

Moving to MODIFIED

Comment 5 Michael Nguyen 2020-02-20 19:09:36 UTC
Verified on 44.81.202001241431.0.  Bond interface comes up after following directions from  https://bugzilla.redhat.com/show_bug.cgi?id=1758091#c20.  No action was needed after setting ip=

$ sshq core@192.168.101.100
Warning: Permanently added '192.168.101.100' (ECDSA) to the list of known hosts.
Red Hat Enterprise Linux CoreOS 44.81.202001241431.0
  Part of OpenShift 4.4, RHCOS is a Kubernetes native operating system
  managed by the Machine Config Operator (`clusteroperator/machine-config`).

WARNING: Direct SSH access to machines is not recommended; instead,
make configuration changes via `machineconfig` objects:
  https://docs.openshift.com/container-platform/4.4/architecture/architecture-rhcos.html 

---
[core@rhcos ~]$ ip addr
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN group default qlen 1000
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: enp1s0: <BROADCAST,MULTICAST,SLAVE,UP,LOWER_UP> mtu 1500 qdisc fq_codel master bond0 state UP group default qlen 1000
    link/ether 52:54:00:43:2e:15 brd ff:ff:ff:ff:ff:ff
3: enp2s0: <BROADCAST,MULTICAST,SLAVE,UP,LOWER_UP> mtu 1500 qdisc fq_codel master bond0 state UP group default qlen 1000
    link/ether 52:54:00:43:2e:15 brd ff:ff:ff:ff:ff:ff
5: bond0: <BROADCAST,MULTICAST,MASTER,UP,LOWER_UP> mtu 1500 qdisc noqueue state UP group default qlen 1000
    link/ether 52:54:00:43:2e:15 brd ff:ff:ff:ff:ff:ff
    inet 192.168.101.100/24 brd 192.168.101.255 scope global noprefixroute bond0
       valid_lft forever preferred_lft forever
    inet6 fe80::5054:ff:fe43:2e15/64 scope link 
       valid_lft forever preferred_lft forever
[core@rhcos ~]$ te
tee      telinit  test     
[core@rhcos ~]$ rpm-ostree status
State: idle
AutomaticUpdates: disabled
Deployments:
● ostree://f61524fda480c611dcd25629fd15eb6de27a306689261c211dbc8e88c19a5219
                   Version: 44.81.202001241431.0 (2020-01-24T14:36:48Z)
[core@rhcos ~]$ 
[core@rhcos ~]$ cat /proc/net/bonding/bond0 
Ethernet Channel Bonding Driver: v3.7.1 (April 27, 2011)

Bonding Mode: fault-tolerance (active-backup)
Primary Slave: None
Currently Active Slave: enp1s0
MII Status: up
MII Polling Interval (ms): 100
Up Delay (ms): 0
Down Delay (ms): 0

Slave Interface: enp1s0
MII Status: up
Speed: Unknown
Duplex: Unknown
Link Failure Count: 0
Permanent HW addr: 52:54:00:43:2e:15
Slave queue ID: 0

Slave Interface: enp2s0
MII Status: up
Speed: Unknown
Duplex: Unknown
Link Failure Count: 0
Permanent HW addr: 52:54:00:2e:ad:b6
Slave queue ID: 0

[core@rhcos ~]$ cat /etc/sysconfig/network-scripts/ifcfg-bond0 
# Generated by dracut initrd
NAME="bond0"
DEVICE="bond0"
ONBOOT=yes
NETBOOT=yes
UUID="f8d155bc-e988-4734-a883-5ae57243fc50"
BOOTPROTO=none
IPADDR="192.168.101.100"
NETMASK="255.255.255.0"
GATEWAY="192.168.101.1"
BONDING_OPTS="mode=active-backup miimon=100"
NAME="bond0"
TYPE=Bond
DNS1="192.168.101.1"
[core@rhcos ~]$ cat /etc/sysconfig/network-scripts/ifcfg-enp1s0 
# Generated by dracut initrd
NAME="enp1s0"
TYPE=Ethernet
ONBOOT=yes
NETBOOT=yes
SLAVE=yes
MASTER="bond0"
UUID="f1040ac2-ee67-4d72-8d82-4e18f2f29d70"
DEVICE="enp1s0"
[core@rhcos ~]$ cat /etc/sysconfig/network-scripts/ifcfg-enp2s0 
# Generated by dracut initrd
NAME="enp2s0"
TYPE=Ethernet
ONBOOT=yes
NETBOOT=yes
SLAVE=yes
MASTER="bond0"
UUID="badeba01-e201-4cb8-b8a4-0f312ec1bcdd"
DEVICE="enp2s0"

Comment 7 errata-xmlrpc 2020-05-04 11:24:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.